PETSc version 3.15.5
Fix/Edit manual page

# PetscSFGetSubSF

Returns an SF for a specific subset of points. Leaves are re-numbered to reflect the new ordering

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode PetscSFGetSubSF(PetscSF mainsf,ISLocalToGlobalMapping map,PetscSF *subSF)

Collective

### Input Parameters

| mainSF | - the original SF structure
| map | - a ISLocalToGlobal mapping that contains the subset of points

### Output Parameters

| subSF | - a subset of the mainSF for the desired subset.

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages